# norootforbuild

%define soname 0

Name:           libquicktime%{soname}
Version:        1.1.3
Release:        110.23
Summary:        Library for Reading and Writing Quicktime Movie Files
URL:            http://libquicktime.sf.net
License:        GNU General Public License version 2 or later (GPL v2 or later)
Group:          Development/Libraries/Other
Source:		http://prdownloads.sourceforge.net/libquicktime/libquicktime-%{version}.tar.gz
# enable for proper shared library policy:
#Patch2:		libquicktime-gettext_domain.patch
#Patch3:		libquicktime-plugin_dir.patch
Obsoletes:	libquicktime
Provides:	libquicktime = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel gtk2-devel libavc1394-devel libjpeg-devel libvorbis-devel sed
BuildRequires:	libfaad2-devel libfaac-devel libx264-devel libmp3lame-devel
BuildRequires:  libffmpeg-devel >= 0.5
BuildRequires:	Mesa-devel pkgconfig doxygen
%if 0%{?suse_version} >= 1010
BuildRequires:	libdv-devel
%else
BuildRequires:	libdv
%endif
Provides:	libquicktime-vorbis = %{version}-%{release}
Provides:	libquicktime-opendivx = %{version}-%{release}
Provides:	libquicktime-dv = %{version}-%{release}
Provides:	libquicktime-jpeg = %{version}-%{release}
Provides:	libquicktime-png = %{version}-%{release}
Provides:	libquicktime-lame = %{version}-%{release}
Provides:	libquicktime-ffmpeg = %{version}-%{release}
# deprecated, for internal backwards compatibility only,
# remove once all spec files that directly require the bogus
# libquicktime1 are fixed:
Provides:	libquicktime1 = %{version}-%{release}

%description
A library for reading and writing Quicktime movie files, based on and
forked from quicktime4linux.

%package -n libquicktime-devel
Summary:	Library for reading/writing quicktime movie files
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	alsa-devel gtk2-devel libavc1394-devel libjpeg-devel libvorbis-devel sed
Requires:	libfaad2-devel libfaac-devel libx264-devel libmp3lame-devel libffmpeg-devel
%if 0%{?suse_version} >= 1010
Requires:	libdv-devel
%else
Requires:	libdv
%endif

%description -n libquicktime-devel
library for reading/writing quicktime movie files, based on and forked
from quicktime4linux

%package -n libquicktime-tools
Summary:	libquicktime Tools
Group:		Productivity/Multimedia/Video/Editors and Convertors
Requires:	%{name} = %{version}-%{release}
Provides:	libquicktime-progs = %{version}-%{release}
Provides:	libquicktime-plugincfg = %{version}-%{release}

%description -n libquicktime-tools
Tools for reading/writing quicktime movie files.

%debug_package
%prep
%setup -q -n "libquicktime-%{version}"
# enable for proper shared library policy:
#%patch2
#%patch3
#%__sed -i 's|@@NAME@@|%{name}|g' configure.ac

%build
export CPPFLAGS="%{optflags} -I/usr/include/libavcodec -I/usr/include/libavutil -I/usr/include/libswscale"
# add to CPPFLAGS for proper shared library policy:
# -DGETTEXT_PACKAGE=\\\"%{name}\\\""
export CXXFLAGS="$CPPFLAGS"
# enable for proper shared library policy:
#autoreconf -fiv

%configure \
	   --enable-gpl \
	   --docdir="%{_docdir}/%{name}" \
	   --with-libdv \
	   --with-cpuflags=none \
       --disable-rpath

%__make %{?jobs:-j%jobs}

%install
%makeinstall
%__ln_s lqt "%{buildroot}/usr/include/quicktime"

# enable for proper shared library policy:
#for f in "%{buildroot}%{_datadir}/locale"/*/"LC_MESSAGES/libquicktime.mo"; do
#    %__mv "$f" "${f%/libquicktime.mo}/%{name}.mo"
#done
%find_lang libquicktime
# for proper shared library policy, use this instead of the line above:
#%find_lang libquicktime1

for f in AUTHORS COPYING ChangeLog NEWS README TODO; do
    %__install -D -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"    
done
%__cp -a doc/*.html doc/*.txt "%{buildroot}%{_docdir}/%{name}/"

%clean
%__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f libquicktime.lang
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO
%{_libdir}/libquicktime.so.%{soname}
%{_libdir}/libquicktime.so.%{soname}.*.*
%dir %{_libdir}/libquicktime
%{_libdir}/libquicktime/lqt_audiocodec.so
%{_libdir}/libquicktime/lqt_dv.so
%{_libdir}/libquicktime/lqt_faac.so
%{_libdir}/libquicktime/lqt_faad2.so
%{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_lame.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_schroedinger.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_vorbis.so
%{_libdir}/libquicktime/lqt_x264.so

%files -n libquicktime-devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/*.html
%doc %{_docdir}/%{name}/*.txt
%doc %{_docdir}/%{name}/apiref
%{_bindir}/lqt-config
%dir %{_includedir}/lqt
%{_includedir}/lqt/*.h
%{_includedir}/quicktime
%{_libdir}/libquicktime.so
%{_libdir}/libquicktime.la
%{_libdir}/libquicktime/lqt_*.la
%{_libdir}/pkgconfig/libquicktime.pc
%{_datadir}/aclocal/lqt.m4

%files -n libquicktime-tools
%defattr(-,root,root)
%{_bindir}/libquicktime_config
%{_bindir}/lqt_transcode
%{_bindir}/lqtplay
%{_bindir}/qt2text
%{_bindir}/qtdechunk
%{_bindir}/qtdump
%{_bindir}/qtinfo
%{_bindir}/qtrechunk
%{_bindir}/qtstreamize
%{_bindir}/qtyuv4toyuv
%doc %{_mandir}/man1/lqtplay.1*

%changelog
* Tue Jul 14 2009 Carsten Schoene <cs@linux-administrator.com> - 1.1.3-110
- update to version 1.1.3
* Mon Jun 29 2009 Carsten Schoene <cs@linux-administrator.com> - 1.1.2-100
- update to version 1.1.2
